from PyQt5.QtWidgets import QWidget
from PyQt5.QtCore import pyqtSignal

from src.utils.base.base import BaseController


class Controller(BaseController):

    signal_widgets = pyqtSignal(list)
    signal_settings = pyqtSignal(list)

    def send_widgets(self, widgets: list[QWidget]) -> None:
        self.signal_widgets.emit(widgets)
    
    def push_settings(self, settings: list[dict]) -> None:
        self.signal_settings.emit(settings)
